clang 10.0.0git

Static Public Member Functions | List of all members
llvm::yaml::MappingTraits< FormatStyle > Struct Template Reference

## Static Public Member Functions
static void | mapping (IO &IO, FormatStyle &Style)

## Detailed Description

### template<>
struct llvm::yaml::MappingTraits< FormatStyle >

Definition at line 332 of file Format.cpp.

## Member Function Documentation

## ◆ mapping()

static void llvm::yaml::MappingTraits< FormatStyle >::mapping | ( | IO & | IO,
|  | FormatStyle & | Style
| ) |  |
| inline static

Definition at line 333 of file Format.cpp.

References clang::format::FormatStyle::AccessModifierOffset, clang::format::FormatStyle::AlignAfterOpenBracket, clang::format::FormatStyle::AlignConsecutiveAssignments, clang::format::FormatStyle::AlignConsecutiveDeclarations, clang::format::FormatStyle::AlignConsecutiveMacros, clang::format::FormatStyle::AlignEscapedNewlines, clang::format::FormatStyle::AlignOperands, clang::format::FormatStyle::AlignTrailingComments, clang::format::FormatStyle::AllowAllArgumentsOnNextLine, and clang::format::getPredefinedStyle().

The documentation for this struct was generated from the following file:

- lib/Format/Format.cpp